StreamHeader (apache-cassandra API)
Date: 2012-05-04

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.streaming
Class StreamHeader

    java.lang.Object
      org.apache.cassandra.streaming.StreamHeader

    public class StreamHeader

extends java.lang.Object

Field Summary
`PendingFile` | `file` file being sent on initial stream
`java.util.Collection<PendingFile>` | `pendingFiles` files to add to the session
`long` | `sessionId` session is tuple of (host, sessionid)
`java.lang.String` | `table`

Constructor Summary
`StreamHeader(java.lang.String table, long sessionId, PendingFile file)`
`StreamHeader(java.lang.String table, long sessionId, PendingFile first, java.util.Collection<PendingFile> pendingFiles)`

Method Summary
`static IVersionedSerializer<StreamHeader>` | `serializer()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### table

    public final java.lang.String table

### file

    public final PendingFile file

  file being sent on initial stream

### sessionId

    public final long sessionId

  session is tuple of (host, sessionid)

### pendingFiles

    public final java.util.Collection<PendingFile> pendingFiles

  files to add to the session

Constructor Detail

### StreamHeader

    public StreamHeader(java.lang.String table,
                        long sessionId,
                        PendingFile file)

### StreamHeader

    public StreamHeader(java.lang.String table,
                        long sessionId,
                        PendingFile first,
                        java.util.Collection<PendingFile> pendingFiles)

Method Detail

### serializer

    public static IVersionedSerializer<StreamHeader> serializer()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation